<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <!-- This is the default Client e.g. the one Visual Studio will build-->
        <Client>ClientB</Client>
    </PropertyGroup>
    
    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>netcoreapp3.1</TargetFramework>
        <Configurations>Debug;Release</Configurations>
        <Platforms>AnyCPU</Platforms>
        <IsPackable>false</IsPackable>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
        <DefineConstants>TRACE;</DefineConstants>
    </PropertyGroup>

<!--    <ItemGroup>-->
<!--        <ProjectReference Include="..\$(Client)Gateways\$(Client)Gateways.csproj" />-->
<!--    </ItemGroup>-->

<!--    <Choose>-->
<!--        <When Condition="$(CLIENT)=='CLIENTA'">-->
<!--            &lt;!&ndash; CLIENT A &ndash;&gt;-->
<!--            <ItemGroup>-->
<!--                <ProjectReference Include="..\ClientAGateways\ClientAGateways.csproj"/>-->
<!--            </ItemGroup>-->
<!--        </When>-->
<!--        <When Condition="$(CLIENT)=='CLIENTB'">-->
<!--            &lt;!&ndash; CLIENT B &ndash;&gt;-->
<!--            <ItemGroup>-->
<!--                <ProjectReference Include="..\ClientBGateways\ClientBGateways.csproj"/>-->
<!--            </ItemGroup>-->
<!--        </When>-->
<!--    </Choose>-->

    <ItemGroup>
        <PackageReference Include="ECommonSense.Domain" Version="1.0.0" />
        <PackageReference Include="ECommonSense.Integration.$(Client)" Version="1.0.0" />
        <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="3.1.9" />
        <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="3.1.9" />
    </ItemGroup>
</Project>
